Last Comment Bug 676341 - Fennec 7.0a1 Crash Report [@ libdvm.so@0x40280 ][@ mozilla::AndroidBridge::SetClipboardText ]
: Fennec 7.0a1 Crash Report [@ libdvm.so@0x40280 ][@ mozilla::AndroidBridge::Se...
Status: VERIFIED FIXED
: crash
Product: Core
Classification: Components
Component: Widget: Android (show other bugs)
: 7 Branch
: ARM Android
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 682073
Blocks: 590349
  Show dependency treegraph
 
Reported: 2011-08-03 12:01 PDT by Naoki Hirata :nhirata (please use needinfo instead of cc)
Modified: 2011-08-29 15:44 PDT (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-08-03 12:01:38 PDT
This bug was filed from the Socorro interface and is 
report bp-e4f2004f-30a1-4e57-a8b7-38e122110801 .
============================================================= 
Frame 	Module 	Signature [Expand] 	Source
0 	libdvm.so 	libdvm.so@0x40280 	
1 	dalvik-LinearAlloc (deleted) 	dalvik-LinearAlloc @0x1e5eb3 	
2 	libdvm.so 	libdvm.so@0x31650 	
3 	dalvik-LinearAlloc (deleted) 	dalvik-LinearAlloc @0x1e5eb3 	
4 	libdvm.so 	libdvm.so@0x32400 	
5 	data@app@org.mozilla.fennec-1.apk@classes.dex 	data@app@org.mozilla.fennec-1.apk@classes.dex@0x12b23 	
6 	libdvm.so 	libdvm.so@0x8267b 	
7 	libdvm.so 	libdvm.so@0x396ea 	
8 	libdvm.so 	libdvm.so@0x8267b 	
9 	dalvik-heap (deleted) 	dalvik-heap @0x60a5cf 	
10 	dalvik-LinearAlloc (deleted) 	dalvik-LinearAlloc @0x1e5eb3 	
11 	libdvm.so 	libdvm.so@0x39674 	
12 	dalvik-heap (deleted) 	dalvik-heap @0x71163f 	
13 	libxul.so 	_JNIEnv::CallStaticObjectMethod 	jni.h:764
14 	libxul.so 	mozilla::AndroidBridge::SetClipboardText 	widget/src/android/AndroidBridge.cpp:537
15 	libxul.so 	nsClipboard::SetData 	widget/src/android/nsClipboard.cpp:80
16 	libxul.so 	nsClipboardHelper::CopyStringToClipboard 	widget/src/xpwidgets/nsClipboardHelper.cpp:128
17 	libxul.so 	nsClipboardHelper::CopyString 	widget/src/xpwidgets/nsClipboardHelper.cpp:138
18 	libxul.so 	NS_InvokeByIndex_P 	xpcom/reflect/xptcall/src/md/unix/xptcinvoke_arm.cpp:199
19 	libxul.so 	XPCWrappedNative::CallMethod 	js/src/xpconnect/src/xpcwrappednative.cpp:3151
20 	libxul.so 	XPC_WN_CallMethod 	js/src/xpconnect/src/xpcwrappednativejsops.cpp:1607
21 	libxul.so 	js::Invoke 	js/src/jscntxtinlines.h:287
22 	libxul.so 	js::Interpret 	js/src/jsinterp.cpp:4553
23 	libxul.so 	js::ExternalInvoke 	js/src/jsinterp.cpp:613
24 	libxul.so 	JS_CallFunctionValue 	js/src/jsapi.cpp:5088
25 	libxul.so 	nsJSContext::CallEventHandler 	dom/base/nsJSEnvironment.cpp:1901
26 	libxul.so 	nsJSEventListener::HandleEvent 	dom/src/events/nsJSEventListener.cpp:226
27 	libxul.so 	nsEventListenerManager::HandleEventSubType 	content/events/src/nsEventListenerManager.cpp:1136
28 	libxul.so 	nsEventListenerManager::HandleEventInternal 	content/events/src/nsEventListenerManager.cpp:1231
29 	libxul.so 	nsEventTargetChainItem::HandleEvent 	content/events/src/nsEventListenerManager.h:146
30 	libxul.so 	nsEventTargetChainItem::HandleEventTargetChain 	content/events/src/nsEventDispatcher.cpp:346
31 	libxul.so 	nsEventDispatcher::Dispatch 	content/events/src/nsEventDispatcher.cpp:650
32 	libxul.so 	PresShell::HandleEventInternal 	layout/base/nsPresShell.cpp:7144
33 	libxul.so 	PresShell::HandleEventWithTarget 	layout/base/nsPresShell.cpp:6992
34 	libxul.so 	nsEventStateManager::CheckForAndDispatchClick 	content/events/src/nsEventStateManager.cpp:4133
35 	libxul.so 	nsEventStateManager::PostHandleEvent 	content/events/src/nsEventStateManager.cpp:3078
36 	libxul.so 	PresShell::HandleEventInternal 	layout/base/nsPresShell.cpp:7167
37 	libxul.so 	PresShell::HandlePositionedEvent 	layout/base/nsPresShell.cpp:6977
38 	libxul.so 	PresShell::HandleEvent 	layout/base/nsPresShell.cpp:6812
39 	libxul.so 	nsViewManager::HandleEvent 	view/src/nsViewManager.cpp:1059
40 	libxul.so 	nsViewManager::DispatchEvent 	view/src/nsViewManager.cpp:1034
41 	libxul.so 	HandleEvent 	nsCOMPtr.h:492
42 	libxul.so 	nsWindow::DispatchEvent 	widget/src/android/nsWindow.cpp:635
43 	libxul.so 	nsWindow::OnMotionEvent 	widget/src/android/nsWindow.cpp:1175
44 	libxul.so 	nsWindow::OnGlobalAndroidEvent 	widget/src/android/nsWindow.cpp:816
45 	libxul.so 	nsAppShell::ProcessNextNativeEvent 	widget/src/android/nsAppShell.cpp:379
46 	libxul.so 	nsBaseAppShell::DoProcessNextNativeEvent 	widget/src/xpwidgets/nsBaseAppShell.cpp:172
47 	libxul.so 	nsBaseAppShell::OnProcessNextEvent 	widget/src/xpwidgets/nsBaseAppShell.cpp:312
48 	libxul.so 	mozilla::dom::ContentParent::OnProcessNextEvent 	dom/ipc/ContentParent.cpp:976
49 	libxul.so 	nsThread::ProcessNextEvent 	nsTArray.h:140
50 	libxul.so 	NS_InvokeByIndex_P 	xpcom/reflect/xptcall/src/md/unix/xptcinvoke_arm.cpp:199
51 	libxul.so 	XPCWrappedNative::CallMethod 	js/src/xpconnect/src/xpcwrappednative.cpp:3151
52 	libxul.so 	XPC_WN_CallMethod 	js/src/xpconnect/src/xpcwrappednativejsops.cpp:1607
53 	libxul.so 	js::Invoke 	js/src/jscntxtinlines.h:287
54 	libxul.so 	js::Interpret 	js/src/jsinterp.cpp:4553
55 	libxul.so 	js::Invoke 	js/src/jsinterp.cpp:613
56 	libxul.so 	js_fun_call 	js/src/jsfun.cpp:2149
57 	libxul.so 	js::Invoke 	js/src/jscntxtinlines.h:287
58 	libxul.so 	js::Interpret 	js/src/jsinterp.cpp:4553
59 	libxul.so 	js::Invoke 	js/src/jsinterp.cpp:613
60 	libxul.so 	js_fun_call 	js/src/jsfun.cpp:2149
61 	libxul.so 	js::Invoke 	js/src/jscntxtinlines.h:287
62 	libxul.so 	js::Interpret 	js/src/jsinterp.cpp:4553
63 	libxul.so 	js::Invoke 	js/src/jsinterp.cpp:613
64 	libxul.so 	js_fun_call 	js/src/jsfun.cpp:2149
65 	libxul.so 	js::Invoke 	js/src/jscntxtinlines.h:287
66 	libxul.so 	js::Interpret 	js/src/jsinterp.cpp:4553
67 	libxul.so 	js::Invoke 	js/src/jsinterp.cpp:613
68 	libxul.so 	js_fun_apply 	js/src/vm/Stack.h:268
69 	libxul.so 	js::Invoke 	js/src/jscntxtinlines.h:287
70 	libxul.so 	js::Interpret 	js/src/jsinterp.cpp:4553
71 	libxul.so 	js::Invoke 	js/src/jsinterp.cpp:613
72 	libxul.so 	js_fun_call 	js/src/jsfun.cpp:2149
73 	libxul.so 	js::Invoke 	js/src/jscntxtinlines.h:287
74 	libxul.so 	js::Interpret 	js/src/jsinterp.cpp:4553
75 	libxul.so 	js::Invoke 	js/src/jsinterp.cpp:613
76 	libxul.so 	js::CallOrConstructBoundFunction 	js/src/vm/Stack.h:268
77 	libxul.so 	js::ExternalInvoke 	js/src/jscntxtinlines.h:287
78 	libxul.so 	JS_CallFunctionValue 	js/src/jsapi.cpp:5088
79 	libxul.so 	nsXPCWrappedJSClass::CallMethod 	js/src/xpconnect/src/xpcwrappedjsclass.cpp:1664
80 	libxul.so 	nsXPCWrappedJS::CallMethod 	js/src/xpconnect/src/xpcwrappedjs.cpp:587
81 	libxul.so 	PrepareAndDispatch 	xpcom/reflect/xptcall/src/md/unix/xptcstubs_arm.cpp:132
82 	libxul.so 	libxul.so@0x9736c0 	
83 	libxul.so 	nsThread::ProcessNextEvent 	xpcom/threads/nsThread.cpp:618
84 		@0x44a47baf 	
85 	libxul.so 	NS_InvokeByIndex_P 	xpcom/reflect/xptcall/src/md/unix/xptcinvoke_arm.cpp:199
86 	libxul.so 	nsScriptSecurityManager::CanAccess 	caps/src/nsScriptSecurityManager.cpp:3226
87 	libxul.so 	XPCWrappedNative::CallMethod 	js/src/xpconnect/src/xpcwrappednative.cpp:3151
88 	libxul.so 	XPC_WN_CallMethod 	js/src/xpconnect/src/xpcwrappednativejsops.cpp:1607
89 	libxul.so 	js::Invoke 	js/src/jscntxtinlines.h:287
90 	libxul.so 	js::Interpret 	js/src/jsinterp.cpp:4553
91 	libxul.so 	js::RecordTracePoint 	js/src/jstracer.cpp:16771
92 	libxul.so 	js::MonitorTracePoint 	js/src/jstracer.cpp:16958
93 	libxul.so 	RunTracer 	js/src/methodjit/InvokeHelpers.cpp:936
94 	libxul.so 	js::mjit::stubs::InvokeTracer 	js/src/methodjit/InvokeHelpers.cpp:1023
95 	libxul.so 	libxul.so@0xbd833a 	
96 	libxul.so 	js::mjit::stubs::InvokeTracer 	js/src/methodjit/InvokeHelpers.cpp:1021
97 	libxul.so 	js::mjit::JaegerShotAtSafePoint 	js/src/jscntxt.h:2197
98 	libxul.so 	js::Interpret 	js/src/vm/Stack.h:1130
99 	libxul.so 	js::Invoke 	js/src/jsinterp.cpp:613
100 	libxul.so 	js_fun_apply 	js/src/vm/Stack.h:268
158 	libdvm.so 	libdvm.so@0x16d57 	
159 	libdvm.so 	libdvm.so@0x16dcf 	
160 	libdvm.so 	libdvm.so@0x16c77 	
161 	libdvm.so 	libdvm.so@0x16c9f 	
162 	libdvm.so 	libdvm.so@0x16ccf 	
163 	libdvm.so 	libdvm.so@0x16cf3 	
164 	libdvm.so 	libdvm.so@0x79658 	
165 	system@framework@core.jar@classes.dex 	system@framework@core.jar@classes.dex@0xb4bd1 	
166 	system@framework@core.jar@classes.dex 	system@framework@core.jar@classes.dex@0xb4bd1 	
167 	system@framework@core.jar@classes.dex 	system@framework@core.jar@classes.dex@0xb4bfb

Only crash stat
Comment 1 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-08-08 15:30:11 PDT
Similar stack : https://crash-stats.mozilla.com/report/index/95cc53c9-1e5d-4548-9de4-caf3b2110803
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-25 13:18:15 PDT
Could be bug 682073
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-28 14:07:36 PDT
fixed by bug 682073, which has the same signature.
Comment 4 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-08-29 15:44:30 PDT
Verified: see comment:
https://bugzilla.mozilla.org/show_bug.cgi?id=682734#c4

Note You need to log in before you can comment on or make changes to this bug.